# SMDAPI - Designed to allow users to write python programs for SMD devices by AML

**SMDAPI** - Designed to allow users to write Python programs for SMD devices by AML

**Overview:** SMDAPI is designed to provide enhanced functionality for both the SMD3 and SMD4 motor drivers. This API offers users an easy-to-use library with hundreds of commands to control the motor driver.

Originally written in C#, SMDAPI is now available for use with Python.

## Installation
Ensure you have the latest version of pip installed. 
You can do this by running the following command in the terminal:

Windows
```
py -m pip install --upgrade pip
```

Linux/MAC OS
```
python3 -m pip install --upgrade pip
```

**The latest GPL version of SMDAPI can be installed from PyPI:**
```
pip install SMDAPI
```
**To upgrade to the latest version :**
```

pip install --upgrade SMDAPI
```

## Documentation
Documentation for the latest release can be found here:
https://documentation.will.be.here.com


## Author
SMDAPI is written and published by ARUN MICROELECTRONICS LTD.
Support may be obtained by VIA: https://arunmicro.com/support/

## License
SMDAPI is licensed under the MIT License, which allows for 
unrestricted use, copying, modification, merging, publishing, 
distribution, sublicensing, and/or selling of copies of the Software.


### References
SMDAPI makes use of the pythonnet library which can be found 
here: https://pypi.org/project/pythonnet/

**When you pip install SMDAPI ,this should automatically install pythonnet**



### Arun Microelectronics Website
https://arunmicro.com